| Version: 3.2.8

List of all members
wxGridRowHeaderRenderer Class Reference

`#include <wx/grid.h>`

Inheritance diagram for wxGridRowHeaderRenderer:
[legend]

## Detailed Description

Base class for row headers renderer.

This is the same as wxGridHeaderLabelsRenderer currently but we still use a separate class for it to distinguish it from wxGridColumnHeaderRenderer and wxGridCornerHeaderRenderer.

See also
  wxGridRowHeaderRendererDefault
  wxGridCellAttrProvider::GetRowHeaderRenderer()

Since
  2.9.1

## Additional Inherited Members
Public Member Functions inherited from wxGridHeaderLabelsRenderer
virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const =0
| Called by the grid to draw the border around the cell header. More...
virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label. More...